Bug 492569 - Segfault in loader while attempting static IP install
Segfault in loader while attempting static IP install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: Chris Lumens
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-03-27 10:04 EDT by James Laska
Modified: 2013-09-02 02:34 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-28 23:29:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jlaska: fedora_requires_release_note?

Attachments (Terms of Use)
Screenshot. (171.47 KB, image/jpeg)
2009-03-27 10:04 EDT, James Laska
no flags Details

  None (edit)
Description James Laska 2009-03-27 10:04:46 EDT
Created attachment 337013 [details]

Description of problem:

Attempt a static IP installation (rawhide/i386)

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Enter static IP details
2. Enter URL of http://download.fedora.redhat.com/pub/fedora/linux/development/i386/os
3. When it fails to find i386, click Back
4. At lang screen, select Next
Actual results:

See attached image ... segfault

 * Should "Back" in step#3 take me to lang selection for the network config screen?

Expected results:

 * static IP should work
 * no segfault when navigating Back/Next through loader prompts

Additional info:
Comment 1 Chris Lumens 2009-03-27 13:27:45 EDT
eu-addr2line tells me that 0x805229e is loader.c:1386, which is this:

class = installMethods[validMethods[loaderData->method]].type

I'm going to take a wild guess here that loaderData->method is invalid.
Comment 2 James Laska 2009-05-11 15:53:12 EDT
Setting fedora_requires_release_note to document the behavior that when entering a static IP, should the server and path entered not be valid, there is a potential interaction bug when navigating Back to the installation method screen.  This bug will manifest as a segfault.  The work around is to reboot the system using a valid server and path.
Comment 3 Bill Nottingham 2009-05-15 16:19:20 EDT
If this is only in the fallback case on bad input, is it truly a release blocker?
Comment 4 James Laska 2009-05-18 07:23:59 EDT
Bill: I've set the fedora_requires_release_note? to document this behavior in the Fedora 11 release notes.  

Unless the fix is simple+straightforward, I suspect playing with loader at this stage would not be wise.  Chris, should we keep this on bug#F11AnacondaBlocker ?
Comment 5 James Laska 2009-05-28 08:36:29 EDT
Retesting against anaconda- and I'm not able to reproduce.  Perhaps this is related to the uninitialized memory issue that notting addressed (bug#501757)?  Or something may still be lurking.
Comment 6 Bug Zapper 2009-06-09 08:44:10 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
Comment 7 Chris Lumens 2009-07-28 23:29:23 EDT
Closing on the basis of comment #5.  If we see this again, we can open it back up.

Note You need to log in before you can comment on or make changes to this bug.